<?php namespace App\Modules\Backend\Configurations\Seeds;

use Illuminate\Database\Seeder;
use Eloquent, Str;
use App\Modules\Backend\Configurations\Models\Configuration;

class DatabaseSeeder extends \Seeder {

	/**
	* Run the database seeds.
	* @return void
	*/
	public function run()
	{
		Eloquent::unguard();

		/**
		 * Agregamos las configuraciones default
		 */
		

        // GENERALES
		Configuration::create(array(
            'config' 	=> 'site_title',
            'value'     => 'Mi sitio web'
        ));

        Configuration::create(array(
            'config' 	=> 'meta_description',
            'value' 	=> ''
        ));

        Configuration::create(array(
            'config' 	=> 'meta_keywords',
            'value' 	=> ''
        ));


        // PÁGINA DE ERROR
        Configuration::create(array(
            'config'    => 'default_error_page',
            'value'     => '1'
        ));

        Configuration::create(array(
            'config'    => 'error_page',
            'value'     => '<h1>Ups!</h1><h4>¡Ha ocurrido un error!</h4><p>Página no encotrada. (<a href="/">Ir al sitio web</a>)</p>'
        ));

        /*Configuration::create(array(
            'config' 		=> 'disable_site',
            'value' 	=> 'false'
        ));

        Configuration::create(array(
            'config' 		=> 'offline_site_message',
            'value' 	=> ''
        ));

        Configuration::create(array(
            'config' 		=> 'default_offline_site_message',
            'value' 	=> 'true'
        ));

        

        Configuration::create(array(
            'config' 		=> 'default_language',
            'value' 	=> '1'
        ));*/
		    
	}

}